Skip to main content
POST
Finish file upload

Authorizations

Authorization
string
header
required

Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.

Path Parameters

sessionId
string<uuid>
required

The unique identifier of the file upload session. Unique identifier for the upload session.

Example:

"24b49ba0-6b5c-4950-94c1-1622939cc481"

fileId
string<uuid>
required

The unique identifier of the file. Unique identifier for a file

Example:

"311fe2cb-1c85-46a4-a8d9-f63a88da44fd"

Body

application/json

A request contaning list of pairs of file names and their sizes.

uploadId
string
required
key
string
required
parts
object[]
required

Response

Returns the session status and finished file status

A response contaning session and file status information

sessionId
string<uuid>
required

Unique identifier for the upload session.

Example:

"24b49ba0-6b5c-4950-94c1-1622939cc481"

sessionStatus
enum<string>
required

Status of the upload session.

Available options:
preparing,
completed,
aborted
Example:

"preparing"

fileId
string<uuid>
required

Unique identifier for a file

Example:

"311fe2cb-1c85-46a4-a8d9-f63a88da44fd"

fileStatus
enum<string>
required

Status of the file upload.

Available options:
preparing,
completed,
aborted
Example:

"completed"